# ListNexusByAddress

List all nexus that apply to a specific address.

`GET /api/v2/definitions/nexus/byaddress`

**API:** AvaTax API
**Tag:** Definitions
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Definitions/ListNexusByAddress/

## Description

Returns a list of all Avalara-supported taxing jurisdictions that apply to this address.
This API allows you to identify which tax authorities apply to a physical location, salesperson address, or point of sale.
In general, it is usually expected that a company will declare nexus in all the jurisdictions that apply to each physical address
where the company does business.
The results of this API call can be passed to the 'Create Nexus' API call to declare nexus for this address.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `line1` | string | query | No | The first address line portion of this address. |
| `line2` | string | query | No | The first address line portion of this address. |
| `line3` | string | query | No | The first address line portion of this address. |
| `city` | string | query | No | The city portion of this address. |
| `region` | string | query | Yes | Name or ISO 3166 code identifying the region portion of the address.
            
             This field supports many different region identifiers:
              * Two and three character ISO 3166 region codes
              * Fully spelled out names of the region in ISO supported languages
              * Common alternative spellings for many regions
            
             For a full list of all supported codes and names, please see the Definitions API `ListRegions`. |
| `postalCode` | string | query | No | The postal code or zip code portion of this address. |
| `country` | string | query | Yes | Name or ISO 3166 code identifying the country portion of this address.
            
             This field supports many different country identifiers:
              * Two character ISO 3166 codes
              * Three character ISO 3166 codes
              * Fully spelled out names of the country in ISO supported languages
              * Common alternative spellings for many countries
            
             For a full list of all supported codes and names, please see the Definitions API `ListCountries`. |
| `$filter` | string | query | No | A filter statement to identify specific records to retrieve.  For more information on filtering, see [Filtering in REST](http://developer.avalara.com/avatax/filtering-in-rest/).*Not filterable:* streamlinedSalesTax, isSSTActive, taxTypeGroup, taxAuthorityId, taxName, parameters |
| `$top` | integer | query | No | If nonzero, return no more than this number of results.  Used with `$skip` to provide pagination for large datasets.  Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records. |
| `$skip` | integer | query | No | If nonzero, skip this number of results before returning data.  Used with `$top` to provide pagination for large datasets. |
| `$orderBy` | string | query | No | A comma separated list of sort statements in the format `(fieldname) [ASC|DESC]`, for example `id ASC`. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `NexusModelFetchResult` |

### 200 Response: `NexusModelFetchResult`

| Property | Type | Required | Description |
|---|---|---|---|
| `@recordsetCount` | integer | No |  |
| `value` | NexusModel[] | No |  |
| `@nextLink` | string | No |  |
| `pageKey` | string | No |  |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/definitions/nexus/byaddress" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```